<?php 
////////////////////////////////////////////////////////////////////////////////
// Calling Meta Title
////////////////////////////////////////////////////////////////////////////////
function meta_title() {
global $page, $paged; wp_title( '|', true, 'right' ); bloginfo( 'name' ); $site_description = get_bloginfo( 'description', 'display' ); if ( $site_description && ( is_home() || is_front_page() ) ) echo " | $site_description"; if ( $paged >= 2 || $page >= 2 ) echo ' | ' . sprintf( __( 'Page %s' ), max( $paged, $page ) );
}
////////////////////////////////////////////////////////////////////////////////
// Additional Theme Support
////////////////////////////////////////////////////////////////////////////////
if ( function_exists( 'add_theme_support' ) ) { // Added in 2.9

	add_theme_support( 'post-thumbnails' );
	set_post_thumbnail_size( 180, 130, true ); // Normal post thumbnails

    // This theme uses wp_nav_menu() in one location.
	register_nav_menus( array(
	'primary' => __( 'Primary Menu' ),
	) );

    add_theme_support( 'menus' ); // new nav menus for wp 3.0
}

function revert_wp_menu_page() { //revert back to normal if in wp 3.0 and menu not set ?>
<ul id="dropmenu">
<li id="<?php if (is_home()) { ?>home<?php } else { ?>page_item<?php } ?>"><a href="<?php bloginfo('url'); ?>" title="Home">Главная</a></li>
<?php wp_list_pages('title_li=&depth=0&orderby=name'); ?>
</ul>
<?php }

// Filter wp_nav_menu() to add additional links and other output
function addHomeMenuLink($menuItems, $args)
{
	if('primary' == $args->theme_location)
	{
		if ( is_home() || is_front_page() )
			$class = 'id="home"';
		else
			$class = 'id="home"';	

		$homeMenuItem = '<li ' . $class . '>' .
						$args->before .
						'<a href="' . home_url( '/' ) . '" title="Home">' .
							$args->link_before .
							'Home' .
							$args->link_after .
						'</a>' .
						$args->after .
						'</li>';

		$menuItems = $homeMenuItem . $menuItems;
	}

	return $menuItems;
}

add_filter( 'wp_nav_menu_items', 'addHomeMenuLink', 10, 2 );


////////////////////////////////////////////////////////////////////////////////
// Get Short Featured Title
////////////////////////////////////////////////////////////////////////////////
function short_feat_title() {
 $title = get_the_title();
 $count = strlen($title);
 if ($count >= 30) {
 $title = substr($title, 0, 30);
 $title .= '...';
 }
 echo $title;
}
////////////////////////////////////////////////////////////////////////////////
// Get Featured Post Image
////////////////////////////////////////////////////////////////////////////////
function get_featured_slider_image() {
  global $post, $posts;
  $first_img = '';
  ob_start();
  ob_end_clean();
  $output = preg_match_all('/<img.+src=[\'"]([^\'"]+)[\'"].*>/i', $post->post_content, $matches);
  $first_img = $matches [1] [0];

  if(empty($first_img)){ //Defines a default image
  	$img_dir = get_bloginfo('template_directory');
    $first_img = $img_dir . '/images/feat-default.jpg';
  }
  return $first_img;
}

////////////////////////////////////////////////////////////////////////////////
// Get Standard Post Image
////////////////////////////////////////////////////////////////////////////////
function get_post_image() {
  global $post, $posts;
  $first_img = '';
  ob_start();
  ob_end_clean();
  $output = preg_match_all('/<img.+src=[\'"]([^\'"]+)[\'"].*>/i', $post->post_content, $matches);
  $first_img = $matches [1] [0];

  if(empty($first_img)){ //Defines a default image
  	$img_dir = get_bloginfo('template_directory');
    $first_img = $img_dir . '/images/post-default.jpg';
  }
  return $first_img;
}
////////////////////////////////////////////////////////////////////////////////
// Get Featured Categories Image
////////////////////////////////////////////////////////////////////////////////
function get_featcat_image() {
global $wpdb;
global $post;
$thumb = $wpdb->get_var("SELECT ID FROM $wpdb->posts where post_parent = $post->ID and post_type = 'attachment'");
$thumbnail = wp_get_attachment_thumb_url($thumb);
$thumbalt = get_the_title();
$template = get_bloginfo('template_directory');
if ($thumb == 0) {
echo '';
}
else {
echo '<img src="'.$template.'/scripts/timthumb.php?src='.$thumbnail.'&amp;w=50&amp;h=50&amp;zc=1&amp;q=100&amp;a=t" alt="'.$thumbalt.'" class="alignleft" />';
}
}
////////////////////////////////////////////////////////////////////////////////
// Featured Content Excerpt Post
////////////////////////////////////////////////////////////////////////////////

function the_featured_excerpt($excerpt_length='', $allowedtags='', $filter_type='none', $use_more_link=false, $more_link_text="Read More", $force_more_link=false, $fakeit=1, $fix_tags=true) {

	if (preg_match('%^content($|_rss)|^excerpt($|_rss)%', $filter_type)) {

		$filter_type = 'the_' . $filter_type;

	}

	$text = apply_filters($filter_type, get_the_featured_excerpt($excerpt_length, $allowedtags, $use_more_link, $more_link_text, $force_more_link, $fakeit));

	$text = ($fix_tags) ? balanceTags($text) : $text;

	echo $text;

}

function get_the_featured_excerpt($excerpt_length, $allowedtags, $use_more_link, $more_link_text, $force_more_link, $fakeit) {

	global $id, $post;

	$output = '';

	$output = $post->post_excerpt;

	if (!empty($post->post_password)) { // if there's a password

		if ($_COOKIE['wp-postpass_'.COOKIEHASH] != $post->post_password) {  // and it doesn't match the cookie

			$output = __('There is no excerpt because this is a protected post.');

			return $output;

		}

	}

	// If we haven't got an excerpt, make one.

	if ((($output == '') && ($fakeit == 1)) || ($fakeit == 2)) {

		$output = $post->post_content;

		$output = strip_tags($output, $allowedtags);

        $output = preg_replace( '|\[(.+?)\](.+?\[/\\1\])?|s', '', $output );

		$blah = explode(' ', $output);

		if (count($blah) > $excerpt_length) {

			$k = $excerpt_length;

			$use_dotdotdot = 1;

		} else {

			$k = count($blah);

			$use_dotdotdot = 0;

		}

		$excerpt = '';

		for ($i=0; $i<$k; $i++) {

			$excerpt .= $blah[$i] . ' ';

		}


		if (($use_more_link && $use_dotdotdot) || $force_more_link) {

			$excerpt .= "...&nbsp;<a href=\"". get_permalink() . "#more-$id\" class=\"more-link\">$more_link_text</a>";

		} else {

			$excerpt .= ($use_dotdotdot) ? '...' : '';

		}

		 $output = $excerpt;

	} // end if no excerpt

	return $output;

}

////////////////////////////////////////////////////////////////////////////////
// Standard Post Excerpt
////////////////////////////////////////////////////////////////////////////////

function the_post_excerpt($excerpt_length='', $allowedtags='', $filter_type='none', $use_more_link=false, $more_link_text="Read More", $force_more_link=false, $fakeit=1, $fix_tags=true) {

	if (preg_match('%^content($|_rss)|^excerpt($|_rss)%', $filter_type)) {

		$filter_type = 'the_' . $filter_type;

	}

	$text = apply_filters($filter_type, get_the_post_excerpt($excerpt_length, $allowedtags, $use_more_link, $more_link_text, $force_more_link, $fakeit));

	$text = ($fix_tags) ? balanceTags($text) : $text;

	echo $text;

}

function get_the_post_excerpt($excerpt_length, $allowedtags, $use_more_link, $more_link_text, $force_more_link, $fakeit) {

	global $id, $post;

	$output = '';

	$output = $post->post_excerpt;

	if (!empty($post->post_password)) { // if there's a password

		if ($_COOKIE['wp-postpass_'.COOKIEHASH] != $post->post_password) {  // and it doesn't match the cookie

			$output = __('There is no excerpt because this is a protected post.');

			return $output;

		}

	}

	// If we haven't got an excerpt, make one.

	if ((($output == '') && ($fakeit == 1)) || ($fakeit == 2)) {

		$output = $post->post_content;

		$output = strip_tags($output, $allowedtags);

        $output = preg_replace( '|\[(.+?)\](.+?\[/\\1\])?|s', '', $output );

		$blah = explode(' ', $output);

		if (count($blah) > $excerpt_length) {

			$k = $excerpt_length;

			$use_dotdotdot = 1;

		} else {

			$k = count($blah);

			$use_dotdotdot = 0;

		}

		$excerpt = '';

		for ($i=0; $i<$k; $i++) {

			$excerpt .= $blah[$i] . ' ';

		}


		if (($use_more_link && $use_dotdotdot) || $force_more_link) {

			$excerpt .= "...&nbsp;<a href=\"". get_permalink() . "#more-$id\" class=\"more-link\">$more_link_text</a>";

		} else {

			$excerpt .= ($use_dotdotdot) ? '...' : '';

		}

		 $output = $excerpt;

	} // end if no excerpt

	return $output;

}

////////////////////////////////////////////////////////////////////////////////
// Excerpt Feature Category
////////////////////////////////////////////////////////////////////////////////

function the_excerpt_feat_cat($excerpt_length='', $allowedtags='', $filter_type='none', $use_more_link=false, $more_link_text="Read More", $force_more_link=false, $fakeit=1, $fix_tags=true) {

	if (preg_match('%^content($|_rss)|^excerpt($|_rss)%', $filter_type)) {

		$filter_type = 'the_' . $filter_type;

	}

	$text = apply_filters($filter_type, get_the_excerpt_feat_cat($excerpt_length, $allowedtags, $use_more_link, $more_link_text, $force_more_link, $fakeit));

	$text = ($fix_tags) ? balanceTags($text) : $text;

	echo $text;

}

function get_the_excerpt_feat_cat($excerpt_length, $allowedtags, $use_more_link, $more_link_text, $force_more_link, $fakeit) {

	global $id, $post;

	$output = '';

	$output = $post->post_excerpt;

	if (!empty($post->post_password)) { // if there's a password

		if ($_COOKIE['wp-postpass_'.COOKIEHASH] != $post->post_password) {  // and it doesn't match the cookie

			$output = __('There is no excerpt because this is a protected post.');

			return $output;

		}

	}

	// If we haven't got an excerpt, make one.

	if ((($output == '') && ($fakeit == 1)) || ($fakeit == 2)) {

		$output = $post->post_content;

		$output = strip_tags($output, $allowedtags);

        $output = preg_replace( '|\[(.+?)\](.+?\[/\\1\])?|s', '', $output );

		$blah = explode(' ', $output);

		if (count($blah) > $excerpt_length) {

			$k = $excerpt_length;

			$use_dotdotdot = 1;

		} else {

			$k = count($blah);

			$use_dotdotdot = 0;

		}

		$excerpt = '';

		for ($i=0; $i<$k; $i++) {

			$excerpt .= $blah[$i] . ' ';

		}


		if (($use_more_link && $use_dotdotdot) || $force_more_link) {

			$excerpt .= "...&nbsp;<a href=\"". get_permalink() . "#more-$id\">$more_link_text</a>";

		} else {

			$excerpt .= ($use_dotdotdot) ? '...' : '';

		}

		 $output = $excerpt;

	} // end if no excerpt

	return $output;

}


////////////////////////////////////////////////////////////////////////////////
// WP-PageNavi
////////////////////////////////////////////////////////////////////////////////

function custom_wp_pagenavi($before = '', $after = '', $prelabel = '', $nxtlabel = '', $pages_to_show = 5, $always_show = false) {
	global $request, $posts_per_page, $wpdb, $paged;
	if(empty($prelabel)) {
		$prelabel  = '<strong>&laquo;</strong>';
	}
	if(empty($nxtlabel)) {
		$nxtlabel = '<strong>&raquo;</strong>';
	}
	$half_pages_to_show = round($pages_to_show/2);
	if (!is_single()) {
		if(!is_category()) {
			preg_match('#FROM\s(.*)\sORDER BY#siU', $request, $matches);
		} else {
			preg_match('#FROM\s(.*)\sGROUP BY#siU', $request, $matches);
		}
		$fromwhere = $matches[1];
		$numposts = $wpdb->get_var("SELECT COUNT(DISTINCT ID) FROM $fromwhere");
		$max_page = ceil($numposts /$posts_per_page);
		if(empty($paged)) {
			$paged = 1;
		}
		if($max_page > 1 || $always_show) {
			echo "$before <div class=\"wp-pagenavi\"><span class=\"pages\">Page $paged of $max_page:</span>";
			if ($paged >= ($pages_to_show-1)) {
				echo '<a href="'.get_pagenum_link().'">&laquo; First</a>&nbsp;';
			}
			previous_posts_link($prelabel);
			for($i = $paged - $half_pages_to_show; $i  <= $paged + $half_pages_to_show; $i++) {
				if ($i >= 1 && $i <= $max_page) {
					if($i == $paged) {
						echo "<strong class='current'>$i</strong>";
					} else {
						echo ' <a href="'.get_pagenum_link($i).'">'.$i.'</a> ';
					}
				}
			}
			next_posts_link($nxtlabel, $max_page);
			if (($paged+$half_pages_to_show) < ($max_page)) {
				echo '&nbsp;<a href="'.get_pagenum_link($max_page).'">Last &raquo;</a>';
			}
			echo "</div> $after";
		}
	}
}


////////////////////////////////////////////////////////////////////////////////
// Get Recent Comments With Avatar
////////////////////////////////////////////////////////////////////////////////
function get_avatar_recent_comment() {

global $wpdb;

$sql = "SELECT DISTINCT ID, post_title, post_password, comment_ID,
comment_post_ID, comment_author, comment_author_email, comment_date_gmt, comment_approved,
comment_type,comment_author_url,
SUBSTRING(comment_content,1,50) AS com_excerpt
FROM $wpdb->comments
LEFT OUTER JOIN $wpdb->posts ON ($wpdb->comments.comment_post_ID =
$wpdb->posts.ID)
WHERE comment_approved = '1' AND comment_type = '' AND
post_password = ''
ORDER BY comment_date_gmt DESC LIMIT 5";

$comments = $wpdb->get_results($sql);
$output = $pre_HTML;
$gravatar_status = 'on'; /* off if not using */

foreach ($comments as $comment) {
$email = $comment->comment_author_email;
$grav_name = $comment->comment_author;
$grav_url = "http://www.gravatar.com/avatar.php?gravatar_id=".md5($email). "&amp;size=32"; ?>
<?php if($gravatar_status == 'on') { ?>
<div class="comentry">
<img src="<?php echo $grav_url; ?>" alt="<?php echo $grav_name; ?>" class="alignleft" /><?php } ?>
<span class="author"><?php echo strip_tags($comment->comment_author); ?> сказал:</span>
<span class="comment"><a href="<?php echo get_permalink($comment->ID); ?>#comment-<?php echo $comment->comment_ID; ?>" title="on <?php echo $comment->post_title; ?>">
<?php echo strip_tags($comment->com_excerpt); ?>...</a></span>
<div class="clearfix"></div>
</div>
<?php
}
}

////////////////////////////////////////////////////////////////////////////////
// Most Comments
////////////////////////////////////////////////////////////////////////////////

function get_hottopics($limit = 5) {

    global $wpdb, $post;

    $mostcommenteds = $wpdb->get_results("SELECT  $wpdb->posts.ID, post_title, post_name, post_date, COUNT($wpdb->comments.comment_post_ID) AS 'comment_total' FROM $wpdb->posts LEFT JOIN $wpdb->comments ON $wpdb->posts.ID = $wpdb->comments.comment_post_ID WHERE comment_approved = '1' AND post_date_gmt < '".gmdate("Y-m-d H:i:s")."' AND post_status = 'publish' AND post_password = '' GROUP BY $wpdb->comments.comment_post_ID ORDER  BY comment_total DESC LIMIT $limit");

    foreach ($mostcommenteds as $post) {

			$post_title = htmlspecialchars(stripslashes($post->post_title));

			$comment_total = (int) $post->comment_total;

			echo "<div class=\"comentry\"><a href=\"".get_permalink()."\">$post_title</a><span class=\"total-com\">Всего комментариев - $comment_total</span></div>";

    }

}

////////////////////////////////////////////////////////////////////////////////
// Comment And Ping Setup
////////////////////////////////////////////////////////////////////////////////

function list_pings($comment, $args, $depth) {
$GLOBALS['comment'] = $comment; ?>
<li id="comment-<?php comment_ID(); ?>"><?php comment_author_link(); ?>
<?php }

add_filter('get_comments_number', 'comment_count', 0);

function comment_count( $count ) {
	global $id;
	$comments_by_type = &separate_comments(get_comments('post_id=' . $id));
	return count($comments_by_type['comment']);
}

////////////////////////////////////////////////////////////////////////////////
// Comment and pingback separate controls
////////////////////////////////////////////////////////////////////////////////

$bm_trackbacks = array();
$bm_comments = array();

function split_comments( $source ) {

if ( $source ) foreach ( $source as $comment ) {

global $bm_trackbacks;
global $bm_comments;

if ( $comment->comment_type == 'trackback' || $comment->comment_type == 'pingback' ) {
$bm_trackbacks[] = $comment;
} else {
$bm_comments[] = $comment;
}
}
}

////////////////////////////////////////////////////////////////////////////////
// Sidebar Widget
////////////////////////////////////////////////////////////////////////////////

if ( function_exists('register_sidebar') ) {


	register_sidebar(array('name'=>'Sidebar Left',
	'before_widget' => '<li id="%1$s" class="widget %2$s">',
	'after_widget' => '</li>',
	'before_title' => '<h6>',
	'after_title' => '</h6>',
	));
	
	register_sidebar(array('name'=>'Sidebar Right',
	'before_widget' => '<li id="%1$s" class="widget %2$s">',
	'after_widget' => '</li>',
	'before_title' => '<h6>',
	'after_title' => '</h6>',
	));
	
	register_sidebar(array(
		'name'=>'First Footer Widget Area',
		'id' => 'first-footer-widget-area',
		'description' => __( 'The first footer widget area' ),
		'before_widget' => '<li id="%1$s" class="widget-container %2$s">',
		'after_widget' => '</li>',
		'before_title' => '<h6 class="widget-title">',
		'after_title' => '</h6>',
	));
	
	register_sidebar( array(
		'name' => __( 'Second Footer Widget Area' ),
		'id' => 'second-footer-widget-area',
		'description' => __( 'The second footer widget area' ),
		'before_widget' => '<li id="%1$s" class="widget-container %2$s">',
		'after_widget' => '</li>',
		'before_title' => '<h6 class="widget-title">',
		'after_title' => '</h6>',
	) );
	
	register_sidebar( array(
		'name' => __( 'Third Footer Widget Area' ),
		'id' => 'third-footer-widget-area',
		'description' => __( 'The third footer widget area' ),
		'before_widget' => '<li id="%1$s" class="widget-container %2$s">',
		'after_widget' => '</li>',
		'before_title' => '<h6 class="widget-title">',
		'after_title' => '</h6>',
	) );
	
	register_sidebar( array(
		'name' => __( 'Fourth Footer Widget Area' ),
		'id' => 'fourth-footer-widget-area',
		'description' => __( 'The fourth footer widget area' ),
		'before_widget' => '<li id="%1$s" class="widget-container %2$s">',
		'after_widget' => '</li>',
		'before_title' => '<h6 class="widget-title">',
		'after_title' => '</h6>',
	) );
	
	
}

////////////////////////////////////////////////////////////////////////////////
// Custom Recent Comments With Gravatar Widget
////////////////////////////////////////////////////////////////////////////////

function widget_mytheme_myrecentcoms() { ?>
<?php $grament = get_theme_option('grament'); if(($grament == '') || ($grament == 'No')) { ?>
<?php { /* nothing */ } ?>
<?php } else { ?>
<li class="widget_recentcomments_gravatar">
<h6><?php _e('Recent Comments'); ?></h6>
<?php get_avatar_recent_comment(); ?>
</li>
<?php } ?>
<?php }

if ( function_exists('register_sidebar_widget') ) register_sidebar_widget(__('Recent Comments(Gravatar)'), 'widget_mytheme_myrecentcoms');

////////////////////////////////////////////////////////////////////////////////
// Custom Hot Topics Widget
////////////////////////////////////////////////////////////////////////////////

function widget_mytheme_myhottopic() { ?>
<?php $hotopic = get_theme_option('hotopic'); if(($hotopic == '') || ($hotopic == 'No')) { ?>
<?php { /* nothing */ } ?>
<?php } else { ?>
<li class="widget_hottopics">
<h6><?php _e('Hot Topics'); ?></h6>
<?php get_hottopics(); ?>
</li>
<?php } ?>
<?php }

if ( function_exists('register_sidebar_widget') ) register_sidebar_widget(__('Hot Topics'), 'widget_mytheme_myhottopic');

////////////////////////////////////////////////////////////////////////////////
// Custom Featured Category Widget
////////////////////////////////////////////////////////////////////////////////

function widget_mytheme_featcat() { ?>
<?php $featured_category_active = get_theme_option('featured_category_activate'); if(($featured_category_active == '') || ($featured_category_active == 'No')) { ?>
<?php { /* nothing */ } ?>
<?php } else { ?>
<?php if((is_home()) && (is_front_page())) { ?>
<?php include (TEMPLATEPATH . '/includes/featured-category.php'); ?> 
<?php } ?> 
<?php } ?>
<?php }

if ( function_exists('register_sidebar_widget') ) register_sidebar_widget(__('Featured Categories'), 'widget_mytheme_featcat');
	
////////////////////////////////////////////////////////////////////////////////
// Custom Related Posts Widget
////////////////////////////////////////////////////////////////////////////////

function widget_mytheme_related() { ?>
<?php $related = get_theme_option('related'); if(($related == '') || ($related == 'No')) { ?>
<?php { /* nothing */ } ?>
<?php } else { ?>
<?php if(is_single()) { ?>
<?php include (TEMPLATEPATH . '/includes/related.php'); ?> 
<?php } ?>
<?php } ?>
<?php }

if ( function_exists('register_sidebar_widget') ) register_sidebar_widget(__('Related Posts'), 'widget_mytheme_related');

////////////////////////////////////////////////////////////////////////////////
// Custom Twitter Widget
////////////////////////////////////////////////////////////////////////////////

function widget_mytheme_twitter() { ?>
<?php include (TEMPLATEPATH . '/includes/twitter.php'); ?> 
<?php }

if ( function_exists('register_sidebar_widget') ) register_sidebar_widget(__('Twitter'), 'widget_mytheme_twitter');
	
////////////////////////////////////////////////////////////////////////////////
// Custom 125x125 Banner Widget
////////////////////////////////////////////////////////////////////////////////

function widget_mytheme_sponsors() { ?>
<?php $sponsor_activate = get_theme_option('sponsor_activate'); if(($sponsor_activate == '') || ($sponsor_activate == 'No')) { ?>
<?php { /* nothing */ } ?>
<?php } else { ?>
<?php include (TEMPLATEPATH . '/includes/sponsor.php'); ?>
<?php } ?>
<?php }

if ( function_exists('register_sidebar_widget') ) register_sidebar_widget(__('125 x 125 Ads'), 'widget_mytheme_sponsors');


////////////////////////////////////////////////////////////////////////////////
// Theme Option
////////////////////////////////////////////////////////////////////////////////

$themename = "Procen";
$shortname = str_replace(' ', '_', strtolower($themename));

function get_theme_option($option)
{
	global $shortname;
	return stripslashes(get_option($shortname . '_' . $option));
}

function get_theme_settings($option)
{
	return stripslashes(get_option($option));
}
$categories = get_categories('hide_empty=0&orderby=name');
$wp_cats = array();
foreach ($categories as $category_list ) {
       $wp_cats[$category_list->cat_ID] = $category_list->cat_name;
}
array_unshift($wp_cats, "Выберите рубрику");

$options = array (

array( "name" => $themename." настройки", "type" => "title"),

array( "name" => "Заголовок", "type" => "section"),
array( "type" => "open"),

array( "name" => "Логотип",
	"desc" => "Если хотите использовать свой логотип, то выберите опцию 'Да', чтобы активировать его.",
	"id" => $shortname."_header_logo_activate",
	"type" => "select",
	"options" => array("Нет", "Да"),
	"std" => "No"),

array( "name" => "Ссылка на логотип",
	"desc" => "Введите ссылку на изображение Вашего логотипа",
	"id" => $shortname."_logo_url",
	"type" => "text",
	"std" => ""),

array( "name" => "Баннер заголовка",
	"desc" => "Вставьте код баннера заголовка. Рекомендуемые размеры 468 x 60.",
	"id" => $shortname."_header_banner",
	"type" => "textarea",
	"std" => ""),	
	
array( "type" => "close"),

array( "name" => "Google Adsense и Analytics", "type" => "section"),
array( "type" => "open"),
	
array( "name" => "Google Adsense",
	"desc" => "Вставьте код Google Adsense между записями. Рекомендуется: 468 x 60 (Текст и изображение).",
	"id" => $shortname."_adsense_loop",
	"type" => "textarea",
	"std" => ""),
	
array( "name" => "Google Adsense для записей",
	"desc" => "Вставьте код Google Adsense для записей. Рекомендуется: 468 x 60 (Текст и изображение).",
	"id" => $shortname."_adsense_single",
	"type" => "textarea",
	"std" => ""),
	
array( "name" => "Google Adsense сайдбар",
	"desc" => "Вставьте код Google Adsense для сайдбара. Рекомендуется: 336 x 280 (Только изображение)",
	"id" => $shortname."_adsense_sidebar",
	"type" => "textarea",
	"std" => ""),		
	
array( "name" => "Google Analytics",
	"desc" => "Вставьте код Google Analytics в заголовок. <em>По выбору - Оставьте пустым, если не хотите использовать</em>",
	"id" => $shortname."_google_analytics",
	"type" => "textarea",
	"std" => ""),

array( "type" => "close"),

array( "name" => "Слайдер популярных записей", "type" => "section"),
array( "type" => "open"),

array( "name" => "Включить слайдер",
	"desc" => "Хотите использовать слайдер популярных записей. <em>По умолчанию отключено, выберите 'Да', чтобы активировать.</em>",
	"id" => $shortname."_featured_activate",
	"type" => "select",
	"options" => array("Нет", "Да"),
	"std" => "No"),

array( "name" => "Рубрики для слайдера популярных записей",
	"desc" => "Выберите рубрику, из которой будут браться записи для слайдера. Пожалуйста, убедитесь, что в рубрике более 1 записи.",
	"id" => $shortname."_featured_category",
	"type" => "select",
	"options" => $wp_cats,
	"std" => "Выберите рубрику"),
	
array( "name" => "Количество записей в слайдере",
	"desc" => "Вставьте количество записей, которое вы хотите отображать в слайдере.",
	"id" => $shortname."_featured_number",
	"type" => "text",
	"std" => ""),	

array( "type" => "close"),


array( "name" => "Популярные рубрики (сайдбар)", "type" => "section"),
array( "type" => "open"),
	
array( "name" => "Включить популярные рубрики",
	"desc" => "Отображать последние записи из рубрик в сайдбаре. <em>Отключено по умолчанию, выберите 'Да', чтобы активировать.</em>",
	"id" => $shortname."_featured_category_activate",
	"type" => "select",
	"options" => array("Нет", "Да"),
	"std" => "No"),

array( "name" => "Первая рубрика",
	"desc" => "Выберите первую рубрику, которая будет отображаться в последних записях.",
	"id" => $shortname."_featured_category_id1",
	"type" => "select",
	"options" => $wp_cats,
	"std" => "Выберите рубрику"),
	
array( "name" => "Количество записей в этой рубрике",
	"desc" => "Укажите количество записей, которые вы хотите отображать в этой рубрике.",
	"id" => $shortname."_featured_number1",
	"type" => "text",
	"std" => ""),
	
array( "name" => "Вторая рубрика",
	"desc" => "Выберите вторую рубрику, которая будет отображаться в последних записях.",
	"id" => $shortname."_featured_category_id2",
	"type" => "select",
	"options" => $wp_cats,
	"std" => "Выберите рубрику"),
	
array( "name" => "Количество записей в этой рубрике",
	"desc" => "Укажите количество записей, которые вы хотите отображать в этой рубрике.",
	"id" => $shortname."_featured_number2",
	"type" => "text",
	"std" => ""),
	
array( "name" => "Третья рубрика",
	"desc" => "Выберите третью рубрику, которая будет отображаться в последних записях.",
	"id" => $shortname."_featured_category_id3",
	"type" => "select",
	"options" => $wp_cats,
	"std" => "Выберите рубрику"),
	
array( "name" => "Количество записей в этой рубрике",
	"desc" => "Укажите количество записей, которые вы хотите отображать в этой рубрике.",
	"id" => $shortname."_featured_number3",
	"type" => "text",
	"std" => ""),

array( "type" => "close"),

array( "name" => "Twitter", "type" => "section"),
array( "type" => "open"),

array( "name" => "Twitter ID",
	"desc" => "Вставьте Ваш Twitter id или никнейм",
	"id" => $shortname."_twitter",
	"type" => "text",
	"std" => ""),
	
array( "name" => "Twitter счетчик",
	"desc" => "Вставьте количество отображаемых фидов Twitter",
	"id" => $shortname."_twitter_count",
	"type" => "text",
	"std" => ""),	

array( "type" => "close"),

array( "name" => "125 x 125 Реклама (сайдбар)", "type" => "section"),
array( "type" => "open"),

array( "name" => "Включить рекламу 125x125",
	"desc" => "Включить баннеры 125 x 125 в сайдбаре. <em>Отключено по умолчанию, выберите 'Да', чтобы активировать.</em>",
	"id" => $shortname."_sponsor_activate",
	"type" => "select",
	"options" => array("Нет", "Да"),
	"std" => "No"),
	
array( "name" => "Баннер 1",
	"desc" => "Вставьте HTML код баннера 1. <em>*оставьте пустым, если не используете</em>",
	"id" => $shortname."_sponsor_banner_one",
	"type" => "textarea",
	"std" => ""),
	
array( "name" => "Баннер 2",
	"desc" => "Вставьте HTML код баннера 2. <em>*оставьте пустым, если не используете</em>",
	"id" => $shortname."_sponsor_banner_two",
	"type" => "textarea",
	"std" => ""),
	
array( "name" => "Баннер 3",
	"desc" => "Вставьте HTML код баннера 3. <em>*оставьте пустым, если не используете</em>",
	"id" => $shortname."_sponsor_banner_three",
	"type" => "textarea",
	"std" => ""),
	
array( "name" => "Баннер 4",
	"desc" => "Вставьте HTML код баннера 4. <em>*оставьте пустым, если не используете</em>",
	"id" => $shortname."_sponsor_banner_four",
	"type" => "textarea",
	"std" => ""),
	
array( "name" => "Баннер 5",
	"desc" => "Вставьте HTML код баннера 5. <em>*оставьте пустым, если не используете</em>",
	"id" => $shortname."_sponsor_banner_five",
	"type" => "textarea",
	"std" => ""),
	
array( "name" => "Баннер 6",
	"desc" => "Вставьте HTML код баннера 6. <em>*оставьте пустым, если не используете</em>",
	"id" => $shortname."_sponsor_banner_six",
	"type" => "textarea",
	"std" => ""),
	
array( "type" => "close"),

);


function mytheme_add_admin() {
global $themename, $shortname, $options;
 
if ( $_GET['page'] == basename(__FILE__) ) {
 
	if ( 'save' == $_REQUEST['action'] ) {
 
		foreach ($options as $value) {
		update_option( $value['id'], $_REQUEST[ $value['id'] ] ); }
 
foreach ($options as $value) {
	if( isset( $_REQUEST[ $value['id'] ] ) ) { update_option( $value['id'], $_REQUEST[ $value['id'] ]  ); } else { delete_option( $value['id'] ); } }
 
	header("Location: admin.php?page=functions.php&saved=true");
die;
 
} 
else if( 'reset' == $_REQUEST['action'] ) {
 
	foreach ($options as $value) {
		delete_option( $value['id'] ); }
 
	header("Location: admin.php?page=functions.php&reset=true");
die;
 
}
}
add_theme_page($themename." настройки", "Настройки темы", 'edit_themes', basename(__FILE__), 'mytheme_admin');

}

function mytheme_add_init() {

$file_dir=get_bloginfo('template_directory');
wp_enqueue_style("functions", $file_dir."/css/functions/functions.css", false, "1.0", "all");
wp_enqueue_script("rm_script", $file_dir."/css/functions/rm_script.js", false, "1.0");
wp_enqueue_script("addthis", "http://s7.addthis.com/js/250/addthis_widget.js#pubid=ra-4dd98bcd044e2d70");
}
function mytheme_admin() {
 
global $themename, $shortname, $options;
$i=0;
 
if ( $_REQUEST['saved'] ) echo '<div id="message" class="updated fade"><p><strong>Настройки темы '.$themename.' сохранены.</strong></p></div>';
if ( $_REQUEST['reset'] ) echo '<div id="message" class="updated fade"><p><strong>Настройки темы '.$themename.' сброшены.</strong></p></div>';
 
?>
<div class="wrap rm_wrap">
<h2><?php echo $themename; ?> настройки</h2>
 
<div class="rm_opts">
<form method="post">
<?php foreach ($options as $value) {
switch ( $value['type'] ) {
 
case "open":
?>
 
<?php break;
 
case "close":
?>
 
</div>
</div>
<br />

 
<?php break;
 
case "title":
?>
<div id="announce">
<h1>Спасибо, что используете тему <?php echo "$themename"; ?></h1>
<p>Не забудьте <a href="http://feedburner.google.com/fb/a/mailverify?uri=MagPress&loc=en_US" title="MagPress Newsletter" target="_blank" rel="nofollow"><b>подписаться на наши письма</b></a>, чтобы получать обновления темы.</p>
</div>

 
<?php break;
 
case 'text':
?>

<div class="rm_input rm_text">
	<label for="<?php echo $value['id']; ?>"><?php echo $value['name']; ?></label>
 	<input name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" type="<?php echo $value['type']; ?>" value="<?php if ( get_settings( $value['id'] ) != "") { echo stripslashes(get_settings( $value['id'])  ); } else { echo $value['std']; } ?>" />
 <small><?php echo $value['desc']; ?></small><div class="clearfix"></div>
 
 </div>
<?php
break;
 
case 'textarea':
?>

<div class="rm_input rm_textarea">
	<label for="<?php echo $value['id']; ?>"><?php echo $value['name']; ?></label>
 	<textarea name="<?php echo $value['id']; ?>" type="<?php echo $value['type']; ?>" cols="" rows=""><?php if ( get_settings( $value['id'] ) != "") { echo stripslashes(get_settings( $value['id']) ); } else { echo $value['std']; } ?></textarea>
 <small><?php echo $value['desc']; ?></small><div class="clearfix"></div>
 
 </div>
  
<?php
break;
 
case 'select':
?>

<div class="rm_input rm_select">
	<label for="<?php echo $value['id']; ?>"><?php echo $value['name']; ?></label>
	
<select name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>">
<?php foreach ($value['options'] as $option) { ?>
		<option <?php if (get_settings( $value['id'] ) == $option) { echo 'selected="selected"'; } ?>><?php echo $option; ?></option><?php } ?>
</select>

	<small><?php echo $value['desc']; ?></small><div class="clearfix"></div>
</div>
<?php
break;
 
case "checkbox":
?>

<div class="rm_input rm_checkbox">
	<label for="<?php echo $value['id']; ?>"><?php echo $value['name']; ?></label>
	
<?php if(get_option($value['id'])){ $checked = "checked=\"checked\""; }else{ $checked = "";} ?>
<input type="checkbox" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" value="true" <?php echo $checked; ?> />


	<small><?php echo $value['desc']; ?></small><div class="clearfix"></div>
 </div>
<?php break; 
case "section":

$i++;

?>

<div class="rm_section">
<div class="rm_title"><h3><img src="<?php bloginfo('template_directory')?>/css/functions/trans.gif" class="inactive" alt="""><?php echo $value['name']; ?></h3><span class="submit"><input name="save<?php echo $i; ?>" type="submit" value="Сохранить" />
</span><div class="clearfix"></div></div>
<div class="rm_options">

 
<?php break;
 
}
}
?>
 
<input type="hidden" name="action" value="Сохранить" />
</form>
<form method="post">
<p class="submit">
<input name="reset" type="submit" value="Сбросить" />
<input type="hidden" name="action" value="Сбросить" />
</p>
</form>
<div style="font-size:9px; margin-bottom:10px;">Иконки: <a rel="nofollow" href="http://www.woothemes.com/2009/09/woofunction/" target="_blank">WooFunction</a></div>
 </div> 
 

<?php
}
?>
<?php
add_action('admin_init', 'mytheme_add_init');
add_action('admin_menu', 'mytheme_add_admin');
function theme_usage_message() { 
global $themename, $shortname;
$rk_url = get_bloginfo('template_directory');
echo ("<div style=\"width:800px; margin:auto; margin-top:30px; padding:15px; text-align:center; background-color:#FFFFFF; border:5px solid #FF0000; color:#000000\">");
echo ("<div><img src=\"$rk_url/images/error.jpg\" alt=\"Error\" /></div>");
echo ("<div style=\"font-size:30px; line-height: 36px;\"><b>Opps..You Have Modified The Footer Links..This Theme Is Deactivated!</b></div>");
echo ("<div style=\"font-size:12px;\"><b>This Theme Is Released Free For Use Under Creative Commons Licence. All Links In The Footer Must Remain Intact AS IS. Please Appreciate These Supporters Effort In Providing You This Great Theme For Free.</b></div>");
echo ("<div style=\"font-size:19px; padding-top:20px;\"><b>Please Follow These Steps To Restore The Footer:</b></div><ol style=\"margin:0; padding:20px; text-align:left;\"><li>Please redownload <a href=\"http://www.magpress.com/wordpress-themes/$shortname.html\" target=\"_blank\">$themename Theme</a> directly on our website.</li><li>Copy &amp; paste all default files and folders into the theme folder via FTP.</li><li>Finally, refresh your page to go back to your homepage.</li></ol></div>");}
function check_theme_footer() { 
$l = '<div id="devlink"><noindex><a rel="nofollow" href="http://hostenko.com/ref=3650" target="_blank">Хостинг для Wordpress сайтов</a></noindex></div>';
$f = dirname(__file__) . "/footer.php";
$fd = fopen($f, "r");
$c = fread($fd, filesize($f));
fclose($fd); if (strpos($c, $l) == 0) {
theme_usage_message(); die; }}
function check_theme_header() { 
if (!(function_exists("functions_file_exists") && function_exists("theme_footer_v"))) { theme_usage_message(); die; }}
function functions_file_exists() {
if (!file_exists(dirname(__file__) . "/functions.php") || !function_exists("theme_usage_message") ) { theme_usage_message(); die; }}
add_action('wp_head', 'check_theme_header');
add_action('wp_head', 'functions_file_exists');
check_theme_footer();?>